Package net.shibboleth.idp.saml.xmlobject.impl

# Class KeyAuthorityImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
net.shibboleth.idp.saml.xmlobject.impl.KeyAuthorityImpl

All Implemented Interfaces:
  `KeyAuthority`, `AttributeExtensibleXMLObject`, `XMLObject`

@NotThreadSafe public class KeyAuthorityImpl extends AbstractXMLObject implements KeyAuthority
Implementation of `KeyAuthority`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<KeyInfo>`
`keyInfos`
The list of KeyInfo child elements.
`private final AttributeMap`
`unknownAttributes`
Wildcard, unknown 'anyAttribute' attributes.
`private Integer`
`verifyDepth`
The VerifyDepth attribute.

### Fields inherited from interface net.shibboleth.idp.saml.xmlobject.KeyAuthority

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, VERIFY_DEPTH_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeyAuthorityImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<KeyInfo>`
`getKeyInfos()`
Get the list of KeyInfo child elements.
`List<XMLObject>`
`getOrderedChildren()`
`AttributeMap`
`getUnknownAttributes()`
`Integer`
`getVerifyDepth()`
Get the VerifyDepth attribute value.
`void`
`setVerifyDepth(Integer newVerifyDepth)`
Set the VerifyDepth attribute value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### keyInfos

@Nonnull private final List<KeyInfo> keyInfos
The list of KeyInfo child elements.

### verifyDepth

@Nullable private Integer verifyDepth
The VerifyDepth attribute.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
Wildcard, unknown 'anyAttribute' attributes.

## Constructor Details

### KeyAuthorityImpl

protected KeyAuthorityImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getKeyInfos

@Nonnull @Live public List<KeyInfo> getKeyInfos()
Get the list of KeyInfo child elements.

Specified by:
  `getKeyInfos` in interface `KeyAuthority`
Returns:
  the list of KeyInfo child elements

### getVerifyDepth

@Nullable public Integer getVerifyDepth()
Get the VerifyDepth attribute value.

Specified by:
  `getVerifyDepth` in interface `KeyAuthority`
Returns:
  the VerifyDepth attribute value

### setVerifyDepth

public void setVerifyDepth(@Nullable Integer newVerifyDepth)
Set the VerifyDepth attribute value.

Specified by:
  `setVerifyDepth` in interface `KeyAuthority`
Parameters:
  `newVerifyDepth` - the new VerifyDepth attribute value

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()

Specified by:
  `getOrderedChildren` in interface `XMLObject`